import { BrowserRouter as Router, Routes, Route, Link } from "react-router-dom";
import { Heading } from "@chakra-ui/react";
import Blogs from "./Blogs";
import Careers from "./Careers";
import Home from "./Home";

function Main() {
  return (
    <div className="App-header">
      <Router>
        <div>
          <ul style={{ display: "inline-flex" }}>
            <li style={{ display: "inline-table", padding: "10px" }}>
              <Link to="/">Home</Link>
            </li>
            <li style={{ display: "inline-table", padding: "10px" }}>
              <Link to="/careers">Careers</Link>
            </li>
            <li style={{ display: "inline-table", padding: "10px" }}>
              <Link to="/blog">Blogs</Link>
            </li>
          </ul>
          <Routes>
            <Route path="/" element={<Home />} />
            <Route path="/careers" element={<Careers jobs="10" />} />
            <Route path="/blog" element={<Blogs number="50" />} />
          </Routes>
        </div>
      </Router>
    </div>
  );
}

export default Main;
